package com.cyksj.service.corp;

import com.cyksj.model.request.corp.CorpGroupConfig;

import java.util.List;

/*
 *项目名: netflix
 *文件名: CropChatService
 *创建者: JavaZou
 *创建时间:2023/6/26 16:26
 */
public interface CropChatService {
	void getCorpChat(String corpId, String configId) throws Exception;

	/**
	 * 设置企业微信群配置
	 */
	void setGroupsConfig(List<String> chatIds) throws Exception;

	String getGroupsDetail(String chatId) throws Exception;

	String getCropWxChatGroupByGoodsId(Long goodsId) throws Exception;

	void updateGroupsConfig(CorpGroupConfig config) throws Exception;

	String getCorpServiceCode(Long goodsId);
}
